# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# arrays.h File Reference

`#include <memory>`
`#include <cstddef>`
`#include <stdexcept>`
`#include <iostream>`
`#include <algorithm>`
`#include <cstring>`

Go to the source code of this file.

## Classes

- class dirac::Range
    Range type. More...
- class dirac::OneDArray< T >
    A template class for one-dimensional arrays. More...
- class dirac::TwoDArray< T >
    A template class for two-dimensional arrays. More...

## Namespaces

- namespace dirac

    Definition of class SequenceHeaderByteIO.

## Functions

- template<class T > std::ostream & dirac::operator<< (std::ostream &stream, TwoDArray< T > &array)
    A function for extracting array data.
- template<class T > std::istream & dirac::operator>> (std::istream &stream, TwoDArray< T > &array)
    A function for inserting array data.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.